/* Container */
.container {
    width: 100%;
    max-width: 1440px;
    margin: 0 auto; /* centraliza */
    padding: 0 1.6rem; /* default: mobile */
}

@media (min-width: 768px) {
  .container {
    padding: 0 2.8rem; /* tablets e desktops */
  }
}

/* Grid */
.grid {
  display: grid;
  gap: 2rem;
}

.grid-2, .grid-3, .grid-4 {
  grid-template-columns: 1fr;
}

@media (min-width: 768px) {
  .grid-2 { grid-template-columns: repeat(2, 1fr); }
  .grid-3 { grid-template-columns: repeat(3, 1fr); }
  .grid-4 { grid-template-columns: repeat(2, 1fr); }
}

@media (min-width: 1024px) {
  .grid-4 { grid-template-columns: repeat(4, 1fr); }
}
